/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.photark.filesystem.impl;

import junit.framework.Assert;

import org.apache.photark.filesystem.impl.GalleryImpl;
import org.apache.photark.services.album.Album;
import org.apache.photark.services.gallery.Gallery;
import org.junit.BeforeClass;
import org.junit.Test;

public class GalleryTestCase {
    private static Gallery gallery;
    
    @BeforeClass
    public static void BeforeClass() {
        gallery = new GalleryImpl("gallery-home");
    }
    
    @Test
    public void testDiscoverAlbums() {
        Album[] albums = gallery.getAlbums();
        
        Assert.assertEquals(2, albums.length);
        Assert.assertTrue(albums[0].getName().startsWith("album-"));
        Assert.assertTrue(albums[1].getName().startsWith("album-"));
    }
}
